HttpResponseBody¶
- class oci.waf.models.HttpResponseBody(**kwargs)¶
Bases:
objectType of returned HTTP response body.
Attributes:
A constant which can be used with the type property of a HttpResponseBody.
A constant which can be used with the type property of a HttpResponseBody.
[Required] Gets the type of this HttpResponseBody.
Methods:
__init__(**kwargs)Initializes a new HttpResponseBody object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- TYPE_DYNAMIC = 'DYNAMIC'¶
A constant which can be used with the type property of a HttpResponseBody. This constant has a value of “DYNAMIC”
- TYPE_STATIC_TEXT = 'STATIC_TEXT'¶
A constant which can be used with the type property of a HttpResponseBody. This constant has a value of “STATIC_TEXT”
- __init__(**kwargs)¶
Initializes a new HttpResponseBody object with values from keyword arguments. This class has the following subclasses and if you are using this class as input to a service operations then you should favor using a subclass over the base class:
The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
type (str) – The value to assign to the type property of this HttpResponseBody. Allowed values for this property are: “STATIC_TEXT”, “DYNAMIC”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property type¶
[Required] Gets the type of this HttpResponseBody. Type of HttpResponseBody.
Allowed values for this property are: “STATIC_TEXT”, “DYNAMIC”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The type of this HttpResponseBody.
- Return type
str